Get Student
Get Student
Section titled “Get Student”Returns student details identified by :jodo_student_id.
Endpoint
Section titled “Endpoint”GET /api/v1/integrations/erp/students/:jodo_student_idCode Snippets
Section titled “Code Snippets”curl --location 'https://JODO_API_KEY:JODO_API_SECRET@JODO_API_HOST/api/v1/integrations/erp/students/6356'import requests
url = "https://JODO_API_KEY:JODO_API_SECRET@JODO_API_HOST/api/v1/integrations/erp/students/6356"
payload = {}headers = {}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)<?phprequire_once 'HTTP/Request2.php';$request = new HTTP_Request2();$request->setUrl('https://JODO_API_KEY:JODO_API_SECRET@JODO_API_HOST/api/v1/integrations/erp/students/6356');$request->setMethod(HTTP_Request2::METHOD_GET);$request->setConfig(array( 'follow_redirects' => TRUE));try { $response = $request->send(); if ($response->getStatus() == 200) { echo $response->getBody(); } else { echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' . $response->getReasonPhrase(); }} catch(HTTP_Request2_Exception $e) { echo 'Error: ' . $e->getMessage();}Response
Section titled “Response”- Method:
GET - Endpoint:
/api/v1/integrations/erp/students/:jodo_student_id - HTTP Code:
200
| Attribute | Type | Description |
|---|---|---|
| data.fullname | string | Full Name of the Student |
| data.identifier | string | Student Identifier assigned by the school (Enrolment Number) |
| data.custom_identifier | string | Student Custom Identifier |
| data.grade | string | Unique Grade Identifier as shared between Jodo and the ERP provider |
| data.new_admission | boolean | Flag to indicate if the student is a new admission student |
| data.academic_year_start | integer | Starting Year of the Academic Year |
| data.academic_year_end | integer | Ending Year of the Academic Year |
| data.date_of_birth | string | Date of birth in YYYY-MM-DD format |
| data.collector_code | string | Institute code |
| data.fee_summary.total_fee | number | Total fee for the student |
| data.fee_summary.total_discount | number | Total discount for the student |